Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations KootK on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Search results for query: *

  1. EngProgrammer

    NXOpen - How to Determine if a part is already open

    Dear Forum, I am looking for a snippet of NXOpen code to determine if a part is already open. I use the following lines of code to initially open the part: Dim part1 As NXOpen.BasePart Dim partLoadStatus1 As NXOpen.PartLoadStatus part1 = theSession.Parts.OpenBaseDisplay(mWorkingFolder &...
  2. EngProgrammer

    NXOpen - Dual Dimensions

    Aha. A double get. Good find. I was looking at the first level of the dimension class property under the "getUnitsFormarPreferences" but I was only looking at the properties I didn't check out the methods. I like using this one instead of getting it from the builder. It makes sense because...
  3. EngProgrammer

    NXOpen - Dual Dimensions

    Hi Cowski, I don't see "DualDimensionFormat" as a property of the dimension object. I am cycling through all the dimension in the workpart using the loop below. I am not seeing "DualDimensionFormat" as a property or method of mydim object of a dimension class. For myDim as dimension in...
  4. EngProgrammer

    NXOpen - Dual Dimensions

    That's great. But I am cycling through the dimensions in the workpart. How do I get the annotations properties of the "dimension" object. Code Snippet Below: For Each myDim As Dimension In workpart.dimension Dim editSettingsBuilder1 As...
  5. EngProgrammer

    NXOpen - Dual Dimensions

    Dear Forum, How do I find out if a dimension is dual dimensioned with NXOpen?
  6. EngProgrammer

    Creating Assembly with Components made from Part Families

    I got it. Have to save the top level assembly part before replacing a component that is made-up from a part family.
  7. EngProgrammer

    Creating Assembly with Components made from Part Families

    Both the assembly and the part family has been saved. I am wondering if it is some kind of load options setting??
  8. EngProgrammer

    Creating Assembly with Components made from Part Families

    Dear Forum, I am creating an assembly with components made from part families. When I replacement a component within the assembly with another part within the same part family NX is throwing an error stating, "The following components were excluded from the replacement operation: Part is...
  9. EngProgrammer

    NXOpen - Drafting or Modeling

    Got it. It is theUfSession.UF.AskApplicationModule
  10. EngProgrammer

    NXOpen - Drafting or Modeling

    Dear Forum, In NXOpen is there a way to find out whether you are in drafting or modeling? What is the NXOpen call to determine if the user is in drafting mode or modeling mode? Thanks.
  11. EngProgrammer

    Help with multiple DLLs

    I have one dll that calls another dll. Everything works fine when I am running the app inside of visual studio. But, when I copy and paste the dll's into another location. The one dll opens however when it tries to call the other dll it can't. What am I doing wrong here?? Please help.
  12. EngProgrammer

    UI Block Styler - Specify Point

    Dear Forum, I am creating a UI Block styler for the creation of associated points within a component or within an assembly. The specify point control work great for creating a point within a component. But doesn't allow the selection of edges or any of the point constructor features within...
  13. EngProgrammer

    theUfSession.Ui.DisplayMessage

    Dear Forum, I've been using "theUfSession.Ui.DisplayMessage" to display a message box to the user. However, I need a similar message box with the ability for the user to enter a single number. Is there something similar to "theUfSession.Ui.DisplayMessage" message box to allow the user to...
  14. EngProgrammer

    How to Create and Use a Cloning Log File

    Dear Forum, In the past, I've used a cloning log file to clone an assembly. It's been awhile so I've completely forget what the format of the cloning log file looks like and how to execute it. Does anyone know how to create this cloning log file and how to execute it? Thanks.
  15. EngProgrammer

    NXOpen Replacing FindObject from a Journal

    In this situation there is only one child component and one grandchild component I ended up doing this for the child component: Dim theComponent1 As Assemblies.Component = workpart.ComponentAssembly.RootComponent.GetChildren()(0) CType(theComponent1.Prototype, Part).LoadFully() Dim compPart1...
  16. EngProgrammer

    NXOpen Replacing FindObject from a Journal

    Hi Cowski, For now, there is only one solid body within the component. So, I am passing in the ComponentToBeWaveLinked. The code below works for a single level component in the tree. I am cycling through the part object occurrences then getting the try to cast that occurrence into a body...
  17. EngProgrammer

    NXOpen Replacing FindObject from a Journal

    Hi cowski, Below is a generic subroutine that I am creating to make a wavelink body in the parent of a component assembly. The line I am having issues with is Dim body1 As NXOpen.Body = CType(component1.FindObject("PROTO#.Bodies|LINKED_BODY(0)"), NXOpen. The components have solid bodies. In...
  18. EngProgrammer

    NXOpen Replacing FindObject from a Journal

    Dear Forum, I am trying to find the equivalent for the following journal code CType(component1.FindObject("PROTO#.Bodies|LINKED_BODY(0)"), NXOpen.Body). I have babdy within a component of an assembly. I can get at the component but I need to get at the solid body within the component. Does...
  19. EngProgrammer

    NXOpen Finding U and V Direction Edges of a Face

    Dear Forum, I've developed some NXOpen code to Enlarge a face using the CreateEnlargeBuilder. However, that is not my issue. Sometimes, I need to enlarge along the V-direction and sometimes along the U-direction. The face that I am enlarging has multiple saddles and valleys therefore I can't...
  20. EngProgrammer

    KF Openfile & Write

    Dear Forum, It's been awhile since I've used KF and now I am trying to write to a file and need a line feed bread character. Does anyone know the line feed character for this function? Thank you.

Part and Inventory Search